DCMTK: DVInstanceCache Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DVInstanceCache Class Reference

A class to handle an instance cache (list of items). More...

## Classes
struct | ItemStruct
| Internal structure defining the list items. More...

## Public Member Functions
| DVInstanceCache ()
| Constructor.
virtual | ~DVInstanceCache ()
| Destructor.
void | clear ()
| reset all member variables to initial state.
OFBool | empty () const
| checks whether instance cache is empty
Uint32 | getCount () const
| gets number of cache entries
OFBool | gotoItem (Uint32 idx)
| sets internal cursor to specified position in cache list
OFBool | gotoFirst ()
| sets internal cursor to first position in cache list
OFBool | gotoNext ()
| sets internal cursor to next position in cache list
OFBool | reset ()
| sets internal cursor to last visited position in cache list
OFBool | isElem (const OFString &uid)
| checks whether an item with the specified UID exists in the cache list
int | getPos () const
| gets the file position of the current (selected) instance
DVIFhierarchyStatus | getStatus () const
| gets review status of the current (selected) instance
DVPSInstanceType | getType () const
| gets type of the instance
int | getImageSize () const
| gets image size of current (selected) instance
const char * | getFilename () const
| gets filename of current (selected) instance
ItemStruct * | getItem () const
| gets reference to current (selected) instance
void | addItem (const OFString &uid, const int pos, const DVIFhierarchyStatus status, const DVPSInstanceType type, const int size, const OFString &filename)
| adds a new item to the cache list.
DVIFhierarchyStatus | updateStatus ()
| updates hierarchical/review status for all list items.

## Protected Member Functions
| OFListIterator (ItemStruct *) Iterator
| internal cursor to current (selected) list item
| OFListIterator (ItemStruct *) OldIterator
| last visited position in item list

## Protected Attributes
OFList< ItemStruct * > | List
| list of instances

## Detailed Description

A class to handle an instance cache (list of items).

This is the lowest level in the hierarchical cache structure. Images are handled as well as presentation states. This class is used by DVSeriesCache.

## Member Function Documentation

## ◆ addItem()

void DVInstanceCache::addItem | ( | const OFString & | uid,
|  | const int | pos,
|  | const DVIFhierarchyStatus | status,
|  | const DVPSInstanceType | type,
|  | const int | size,
|  | const OFString & | filename )
| inline

adds a new item to the cache list.

sets internal cursor to new position.

Parameters

  uid | unique identifier
  pos | file position in index file
  status | review status
  type | type of instance
  size | image size (in bytes)
  filename | filename of instance

References List.

## ◆ clear()

void DVInstanceCache::clear | ( |  | ) |
| inline

reset all member variables to initial state.

delete all list items.

References List, and OFListIterator().

Referenced by ~DVInstanceCache().

## ◆ empty()

OFBool DVInstanceCache::empty | ( |  | ) | const
| inline

checks whether instance cache is empty

Returns
  OFTrue if cache is empty, OFFalse otherwise

References List.

## ◆ getCount()

Uint32 DVInstanceCache::getCount | ( |  | ) | const
| inline

gets number of cache entries

Returns
  number of cache entries

References List.

## ◆ getFilename()

const char * DVInstanceCache::getFilename | ( |  | ) | const
| inline

gets filename of current (selected) instance

Returns
  filename if successful, NULL otherwise

References OFString::c_str(), DVInstanceCache::ItemStruct::Filename, and getItem().

## ◆ getImageSize()

int DVInstanceCache::getImageSize | ( |  | ) | const
| inline

gets image size of current (selected) instance

Returns
  image size in bytes if successful, 0 otherwise

References getItem(), and DVInstanceCache::ItemStruct::ImageSize.

## ◆ getItem()

ItemStruct * DVInstanceCache::getItem | ( |  | ) | const
| inline

gets reference to current (selected) instance

Returns
  pointer to ItemStruct if successful, NULL otherwise

References List.

Referenced by getFilename(), getImageSize(), getPos(), getStatus(), and getType().

## ◆ getPos()

int DVInstanceCache::getPos | ( |  | ) | const
| inline

gets the file position of the current (selected) instance

Returns
  file position if successful, 0 otherwise

References getItem(), and DVInstanceCache::ItemStruct::Pos.

## ◆ getStatus()

DVIFhierarchyStatus DVInstanceCache::getStatus | ( |  | ) | const
| inline

gets review status of the current (selected) instance

Returns
  hierarchical status code if successful, 'isNew' otherwise

References getItem(), and DVInstanceCache::ItemStruct::Status.

## ◆ getType()

DVPSInstanceType DVInstanceCache::getType | ( |  | ) | const
| inline

gets type of the instance

Returns
  type of instance

References getItem(), and DVInstanceCache::ItemStruct::Type.

## ◆ gotoFirst()

OFBool DVInstanceCache::gotoFirst | ( |  | ) |
| inline

sets internal cursor to first position in cache list

Returns
  OFTrue if successful, OFFalse if list is empty

References List.

## ◆ gotoItem()

OFBool DVInstanceCache::gotoItem | ( | Uint32 | idx | ) |
| inline

sets internal cursor to specified position in cache list

Parameters

  idx | index position in cache list (starting with 0)

Returns
  OFTrue if successful, OFFalse if 'idx' is invalid

References List, and OFListIterator().

## ◆ gotoNext()

OFBool DVInstanceCache::gotoNext | ( |  | ) |
| inline

sets internal cursor to next position in cache list

Returns
  OFTrue if successful, OFFalse if new position is invalid

References List, and OFListIterator().

## ◆ isElem()

OFBool DVInstanceCache::isElem | ( | const OFString & | uid | ) |
| inline

checks whether an item with the specified UID exists in the cache list

Parameters

  uid | UID which should be checked

Returns
  OFTrue if such an item exists, OFFalse otherwise

References List, OFListIterator(), and DVInstanceCache::ItemStruct::UID.

## ◆ reset()

OFBool DVInstanceCache::reset | ( |  | ) |
| inline

sets internal cursor to last visited position in cache list

Returns
  OFTrue if successful, OFFalse if last visited position was invalid or the last one in the list

References List, and OFListIterator().

## ◆ updateStatus()

DVIFhierarchyStatus DVInstanceCache::updateStatus | ( |  | ) |
| inline

updates hierarchical/review status for all list items.

Returns
  resulting review status (summary of all items)

References List, OFListIterator(), and DVInstanceCache::ItemStruct::Status.

Referenced by DVSeriesCache::updateStatus().

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvcache.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1